Loading...
Searching...
No Matches
casacore::new_del_allocator< T > Struct Template Reference

`#include <Allocator.h>`

## Classes

struct | rebind

## Public Types

using | Super
using | size_type
using | difference_type
using | pointer
using | const_pointer
using | reference
using | const_reference
using | value_type

## Public Member Functions

| new_del_allocator () noexcept
| new_del_allocator (const new_del_allocator &other) noexcept
template<typename TOther>
| new_del_allocator (const new_del_allocator< TOther > &) noexcept
| ~new_del_allocator () noexcept
pointer | allocate (size_type elements, const void *=0)
void | deallocate (pointer ptr, size_type)
template<typename U, typename... Args>
void | construct (U *, Args &&...)
template<typename U>
void | construct (U *ptr, U &&value)
template<typename U>
void | construct (U *ptr, U &value)
template<typename U>
void | construct (U *ptr, U const &value)
template<typename U>
void | destroy (U *)

## Detailed Description

template<typename T>
struct casacore::new_del_allocator< T >

Definition at line 135 of file Allocator.h.

## Member Typedef Documentation

## const_pointer

template<typename T>

using casacore::new_del_allocator< T >::const_pointer

Definition at line 140 of file Allocator.h.

## const_reference

template<typename T>

using casacore::new_del_allocator< T >::const_reference

Definition at line 142 of file Allocator.h.

## difference_type

template<typename T>

using casacore::new_del_allocator< T >::difference_type

Definition at line 138 of file Allocator.h.

## pointer

template<typename T>

using casacore::new_del_allocator< T >::pointer

Definition at line 139 of file Allocator.h.

## reference

template<typename T>

using casacore::new_del_allocator< T >::reference

Definition at line 141 of file Allocator.h.

## size_type

template<typename T>

using casacore::new_del_allocator< T >::size_type

Definition at line 137 of file Allocator.h.

## Super

template<typename T>

using casacore::new_del_allocator< T >::Super

Definition at line 136 of file Allocator.h.

## value_type

template<typename T>

using casacore::new_del_allocator< T >::value_type

Definition at line 143 of file Allocator.h.

## Constructor & Destructor Documentation

## new_del_allocator() [1/3]

template<typename T>

casacore::new_del_allocator< T >::new_del_allocator | ( |  | ) |

inline noexcept

Definition at line 149 of file Allocator.h.

## new_del_allocator() [2/3]

template<typename T>

casacore::new_del_allocator< T >::new_del_allocator | ( | const new_del_allocator< T > & | other | ) |

inline noexcept

Definition at line 152 of file Allocator.h.

## new_del_allocator() [3/3]

template<typename T>
template<typename TOther>

casacore::new_del_allocator< T >::new_del_allocator | ( | const new_del_allocator< TOther > & |  | ) |

inline noexcept

Definition at line 157 of file Allocator.h.

## ~new_del_allocator()

template<typename T>

casacore::new_del_allocator< T >::~new_del_allocator | ( |  | ) |

inline noexcept

Definition at line 160 of file Allocator.h.

## Member Function Documentation

## allocate()

template<typename T>

pointer casacore::new_del_allocator< T >::allocate | ( | size_type | elements,
|  | const void * | = 0 )

inline

Definition at line 163 of file Allocator.h.

## construct() [1/4]

template<typename T>
template<typename U, typename... Args>

void casacore::new_del_allocator< T >::construct | ( | U * | ,
|  | Args && | ... )

inline

Definition at line 174 of file Allocator.h.

## construct() [2/4]

template<typename T>
template<typename U>

void casacore::new_del_allocator< T >::construct | ( | U * | ptr,
|  | U && | value )

inline

Definition at line 176 of file Allocator.h.

## construct() [3/4]

template<typename T>
template<typename U>

void casacore::new_del_allocator< T >::construct | ( | U * | ptr,
|  | U & | value )

inline

Definition at line 180 of file Allocator.h.

## construct() [4/4]

template<typename T>
template<typename U>

void casacore::new_del_allocator< T >::construct | ( | U * | ptr,
|  | U const & | value )

inline

Definition at line 184 of file Allocator.h.

## deallocate()

template<typename T>

void casacore::new_del_allocator< T >::deallocate | ( | pointer | ptr,
|  | size_type | )

inline

Definition at line 170 of file Allocator.h.

## destroy()

template<typename T>
template<typename U>

void casacore::new_del_allocator< T >::destroy | ( | U * |  | ) |

inline

Definition at line 189 of file Allocator.h.

The documentation for this struct was generated from the following file:

- casa/Containers/Allocator.h